#include "Misc.h"

std::vector<std::string> fk_StrSplit(std::string argStr, std::string argToken)
{
	std::vector<std::string>	retStrArray;
	std::string::size_type		curPos = 0, nextPos = 0;

	while(nextPos != std::string::npos) {
		nextPos = argStr.find(argToken, curPos);
		retStrArray.push_back(argStr.substr(curPos, nextPos-curPos));
		curPos = nextPos+argToken.size();
	}

	return retStrArray;
}
